---
lang: en
title: 'API docs: socketio.socketioapplication.socketserver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioapplication.socketserver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoApplication](./socketio.socketioapplication.md) &gt; [socketServer](./socketio.socketioapplication.socketserver.md)

## SocketIoApplication.socketServer property

The main Socket server instance providing Socket connections for this application.

**Signature:**

```typescript
get socketServer(): SocketIoServer;
```

